|  | Home |

# QMailMessageServiceEditor Class Reference

The QMailMessageServiceEditor class provides an interface that allows a service to be edited graphically. More...

        #include <QMailMessageServiceEditor>

This class is under development and is subject to change.

Inherits QWidget.

- List of all members, including inherited members

## Public Functions

virtual void | displayConfiguration ( const QMailAccount & account, const QMailAccountConfiguration & config ) = 0
virtual bool | updateAccount ( QMailAccount * account, QMailAccountConfiguration * config ) = 0

- 207 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 12 public functions inherited from QPaintDevice

### Additional Inherited Members

- 57 properties inherited from QWidget
- 1 property inherited from QObject
- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QWidget
- 4 static public members inherited from QObject
- 38 protected functions inherited from QWidget
- 7 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice
- 1 protected slot inherited from QWidget
- 2 protected variables inherited from QObject
- 1 protected type inherited from QPaintDevice

## Detailed Description

The QMailMessageServiceEditor class provides an interface that allows a service to be edited graphically.

QMailMessageServiceEditor provides the base class for a GUI component that can edit the configuration for a messaging service.

## Member Function Documentation

### void QMailMessageServiceEditor::displayConfiguration ( const QMailAccount & account, const QMailAccountConfiguration & config ) `[pure virtual]`

Invoked to set the editor with the details of the account account, described by config.

### bool QMailMessageServiceEditor::updateAccount ( QMailAccount * account, QMailAccountConfiguration * config ) `[pure virtual]`

Invoked to update the account account and configuration config with the details currently displayed by the editor. Return true if the account and configuration are appropriately updated, and any necessary data storage external to the mail store has been performed.